var Config = {
	type: "prod",
	
	init: function() {
		for (var field in this[this.type]) {
			this[field] = this[this.type][field]
		}
		var statsConfig = Terminal.isV360() ? this[this.lang]["v360"] : this[this.lang]["ovi"]
		for (var field in statsConfig) {
			this[field] = statsConfig[field]
		}		
	},
	
	isProd: function() {
		return this.type == "prod"
	},
	
	// PRODUCTION
	prod: {
		lang: "en",
		startSection: "ShopppingList",
		startSectionParams: {},
		splashTime: 3, // seconds | 0 = no splash
		numFramesLoading:24,
		boomTime: 4, // seconds
		
		transition: false, // fade between sections (OVI)
		is4ways: false,
		console: false, // force in-widget console
		debug: false
	},	
	// TEST
	test: {
		lang: "en",
		startSection: "ShopppingList",
		startSectionParams: {},
		splashTime: 3, // seconds | 0 = no splash
		numFramesLoading:24,		
		boomTime: 4, // seconds
		
		transition: false, // fade between sections (OVI)
		is4ways: false,
		console: false, // force in-widget console
		debug: false
	},
	// DEVELOPING
	dev: {
		lang: "en",
		startSection: "ShopppingList",
		startSectionParams: {},
		splashTime: 1, // seconds | 0 = no splash
		numFramesLoading:24,		
		boomTime: 4, // seconds
		
		transition: false, // fade between sections (OVI)
		is4ways: false,
		console: false, // force in-widget console
		debug: true
	},
	
		// ADSERVER + STAT
    es: {
		ovi: {
			idApp: 122,
			SHOPPING_TAG: "OVI_shoppingsp_home",
									
			STAT_INI: 793,
			STAT_HOME:794,
			STAT_CHECK:795,
			STAT_CLEAN:796,
			STAT_NEW:797,
			STAT_CLOSE:798						
		}
    },	
   en: {
	   	ovi: {
	   		idApp: 123,
			SHOPPING_TAG: "OVI_shoppingen_home",
									
			STAT_INI:799 ,
			STAT_HOME:800,
			STAT_CHECK:801,
			STAT_CLEAN:802,
			STAT_NEW:803,
			STAT_CLOSE:804			
	   	}
   }	
	
	
	
}
