

var Localization = {
	getText: function(text) {
		if (typeof this.texts[text] == "undefined") {
			Console.p(text+" not found")
		}
		return this.texts[text]
	},
	init: function() {
		if (this.texts[Config.lang]) {
			this.texts = this.texts[Config.lang]
		}
		View.setTitle(this.getText("title"))
		View.getBody().addClassName(Config.lang)
	},
	texts: {
		"es": {
			"title": "Lista de la compra",
			"nuevoArticulo": "Añadir <br/> articulo",			
			"limpCheck": "Borrar <br/> Elemento",
			"limpClist": "Borrar <br/> Lista",
			"info":"info",
			"infoTexto": "<span>C&Oacute;MO USAR:</span><br/><br/>Shopping List es muy f&aacute;cil de usar. Para introducir un art&iacute;culo, haz click dentro de tu lista. <br/>Elige el que te convenga o escribe el que prefieras y dale al signo '+'. <br/>Puedes a&#241;adir cu&aacute;ntos quieres haciendo click a la izquierda del art&iacute;culo.<br/><br/>Cuando ya hayas metido un producto en el carrito, m&aacute;rcalo seleccion&aacute;ndolo y d&aacute;ndole a la derecha.<br/>Dale otra vez a la derecha para des-marcarlo.<br/><br/>Para acceder al menu, dale a la izquierda desde el n&uacute;mero de art&iacute;culos y elige la opci&oacute;n que quieras.<br/>Para ocultar el men&uaccute;, dale de nuevo a la izquierda.",
			"error":"Debes rellenar los 2 campos",
			"errorNoText":"La cantidad debe ser un n&uacute;mero"
			},
		"en": {
			"title": "Shopping List",
			"nuevoArticulo": "Add <br/> Article",				
			"limpCheck": "Delete <br/> Article",
			"limpClist": "Delete <br/> List",
			"info":"info",			
			"infoTexto": "<span>HOW TO USE:</span><br/><br/>Shopping List is very easy to use. <br/>To add an item, click on your list. <br/>Type the first letters of your product or choose it from the list and click on the '+' sign. <br/>You can add the number of items you want clicking on the left of your item.<br/>Once you have an item on your cart, select that item on your list and click right to 'check' it.<br/> You can click right again to 'uncheck' it too.<br/>To go to the menu, click left once (or twice if you're on the item). <br/><br/>On the menu, you'll have a few options. <br/>Click on the desired option or click left to exit the menu and go back to your list.",
			"error":"Debes rellenar los 2 campos",
			"errorNoText":"La cantidad debe ser un n&uacute;mero"
			}
	}
}