var Menu = View.section('menu')

Menu.onInit = function() {
	

	var self = this

	this.selectOne(".shopppingList").observe('click', function() {		
		View.switchTo(ShopppingList)		
		self.select(this)
	})
	
	this.selectOne(".limpiarCheck").observe('click', function() {	
		GGG.Stats.send(Config.STAT_CHECK)
		ShopppingList.removeCheck()		
	})

	this.selectOne(".limpiarLista").observe('click', function() {
		GGG.Stats.send(Config.STAT_CLEAN)
		ShopppingList.removeList()
	})

	this.selectOne(".info").observe('click', function() {		
		View.switchTo(Info)
		self.select(this)
	
	})	


	if (Terminal.isOVI()) {
		var playQuizText = this.selectOne(".shopppingList .text")
		var archivesText = this.selectOne(".limpiarCheck .text")
		var randomText = this.selectOne(".limpiarLista .text")
		var infoText = this.selectOne(".info .text")		
		
		playQuizText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("nuevoArticulo")))
		archivesText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("limpCheck")))
		randomText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("limpClist")))
		infoText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("info")))		
	} else {
	//	this.selectOne(".loginSection .text").insert(Local.get("loginSection"))
	//	this.selectOne(".ayuda .text").insert(Local.get("ayuda"))
	}

		
	this.select(this.selectOne(".shopppingList"))
		
}

Menu.select = function(option) {
	
	if (this.lastOption) {
		this.lastOption.removeClassName("selected")
	}
	
	this.lastOption = option
	this.lastOption.addClassName("selected")
}
Menu.onShow = function() {			// PARA EL MENU CUAL SE ILUMINA
	if (View.getCurrent() == Error) {
		this.lastOption.removeClassName("selected")
	} else {
		this.lastOption.addClassName("selected")
	}
}

