var ShopppingList = View.section('shopppingList')

ShopppingList.onInit = function() {
	
	this.numArticuloS = 7;
	this.numArt;
	this.modificar= false;
	
	this.inputNumero = this.selectOne(".product")
	this.inputProduc = this.selectOne(".cant")	
	
	var subMenu = this.selectOne(".subMenu");
	var numeroTitulo = new Element('div', {'class': 'numeroTitulo'})
	var nombreArt = new Element('div', {'class': 'nombreArt'})
	var artCheck = new Element('div', {'class': 'artCheck'})
	
	subMenu.insert(numeroTitulo)
	subMenu.insert(nombreArt)
	subMenu.insert(artCheck)
	
	this.listaArticulos = this.selectOne(".listaArticulos")
	this.raiz = this.selectOne(".nuevoArticulo");
	
	
	var self = this
	this.selectOne(".aceptar").observe('click', function(){		
		if(self.inputProduc.value == "")
		{
			self.selectOne(".error").update(Localization.getText("error"))
		}		
		else{
			if (self.inputNumero.value == ""){
				self.inputNumero.value =1;
				self.nuevoArt.guardar(self.numArt, self.modificar);
			}
			else{
				var valor = parseInt(self.inputNumero.value)

				//Compruebo si es un valor numérico
				if (isNaN(valor)) {
					self.selectOne(".error").update(Localization.getText("errorNoText"))
				}else{
					self.nuevoArt.guardar(self.numArt, self.modificar);			           
				} 			
			}				
		}
	})
	this.selectOne(".cancelar").observe('click', function(){
		document.getElementById("insertarDatos").addClassName("oculto")
	})
		
	this.selectOne(".cerrar").observe('click', function() {	
		GGG.Stats.send(Config.STAT_CLOSE)
		Controller.close();
	})		
	/*** inicializar sistema ***/	
	if (Preference.exists("listaCompra")) {
		var archiv = Preference.load("listaCompra")
		var archivoParseado = archiv.split(",")
		this.articulosCargados(archivoParseado.lenght, archivoParseado)
	}
	else{	
		this.articulos(this.numArticuloS)		
	}	
}

ShopppingList.onShow = function() {
	Menu.show()	
	window.scrollTo(0, 0)
	GGG.AdServer.setTag(Config.SHOPPING_TAG)
	GGG.Stats.send(Config.STAT_HOME)	
}

ShopppingList.articulos = function(numArticulo) {	
	this.nuevoArt = new NuevoArticulo(numArticulo,this.listaArticulos,this.raiz )
	this.nuevoArt.init();		
}

ShopppingList.articulosCargados = function(numArticulo,archivoParseado) {	
	this.nuevoArt = new NuevoArticulo(numArticulo,this.listaArticulos,this.raiz )
	this.nuevoArt.cargarDatos(archivoParseado);		
}

ShopppingList.marcarCheck = function(numArticulo){

	var comprobar = this.selectOne("#"+numArticulo+" .seleccionada")
	if (comprobar) {
		comprobar.remove();		
	}
	else {
		var archiv = document.getElementById(numArticulo)
		var marcando = new Element('div', {'class': 'seleccionada'})
		archiv.insert(marcando)				
	}
}

ShopppingList.introducirContenido = function(numArticulo){
	this.selectOne(".error").update()

	if (document.getElementById("num"+numArticulo).innerText == ""){
		this.inputNumero.value="";
		this.inputProduc.value="";
	}
	else{
		this.inputNumero.value = document.getElementById("num"+numArticulo).innerHTML
		this.inputProduc.value = document.getElementById("tipoArt"+numArticulo).innerHTML 
		this.modificar=true;
	}
	GGG.Stats.send(Config.STAT_NEW)
	
	document.getElementById("insertarDatos").removeClassName("oculto")
	this.numArt=numArticulo;
	
}
ShopppingList.crearNuevo = function(sigArt){
			
	var eliminarSig = this.selectOne(".aniadir")
	eliminarSig.remove();
	this.nuevoArt.agregar(sigArt);
}

ShopppingList.removeList = function() {
	this.selectOne(".listaArticulos").update()
	Preference.remove("listaCompra")
	this.numArticuloS = 7;
	this.nuevoArt = new NuevoArticulo(this.numArticuloS,this.listaArticulos,this.raiz )
	this.nuevoArt.init();
	

}

ShopppingList.removeCheck = function(){
	var childCount = 0;
	var listaAux = this.nuevoArt.getListaDatos()
	var encontrado = false;
	var newPosicion =1;

	if (this.listaArticulos.children) {
		childCount = this.listaArticulos.children.length;
	
		for (i = 1; i <= childCount; i++) {
			var comprobar = this.selectOne("#check"+ i + " .seleccionada")
			Console.p ("i = "+i+" Comprobar= "+comprobar)
			if (comprobar) {
				//comprobar.parentNode.parentNode.parentNode.remove() //<-- este sobra
				//Console.p ("listaAux.splice(i-1,1): "+listaAux.splice(i-1,1));
				var listaAux2 =listaAux.splice(i-newPosicion,1);
				Console.p ("ListaAUX2: "+listaAux2)
				Console.p ("listaAux: "+listaAux)
				encontrado =true;
				newPosicion++;
				this.numArticuloS--;
			}
		}
		Console.p ("encontrado: "+encontrado)
		if (encontrado) {
			var newPosicion =0;
			Console.p ("lol")
			Console.p("listaAux.length: "+listaAux.length)
			for (i = 0; i < listaAux.length; i++) {
				Console.p("i? "+i)
				Console.p ("listaAux[i- newPosicion] "+listaAux[i- newPosicion])
				Console.p("i- newPosicion: "+(i-newPosicion))
				//if (typeof(listaAux[i]) == "undefined"){
				if (listaAux[i- newPosicion] == "") {
					Console.p("que encuentra? VACIO")
					var listaAux3 = listaAux.splice(i - newPosicion, 1);
					newPosicion++;
					Console.p ("listaAux= "+listaAux)
				}
				else if (typeof(listaAux[i- newPosicion]) == "undefined") {
						Console.p("que encuentra? UNDEFINED")
						var listaAux3 = listaAux.splice(i - newPosicion, 1);
						newPosicion++;
						Console.p ("listaAux= "+listaAux)
					
				}else if (listaAux[i- newPosicion] == " "){
					Console.p("que encuentra? ESPACIO")
					var listaAux3 = listaAux.splice(i - newPosicion, 1);
					newPosicion++;
					Console.p ("listaAux= "+listaAux)
				}	
				Console.p("FIN PASADA--------------------------------------")							
			}
			
			
			
			this.selectOne(".listaArticulos").update()
			Preference.remove("listaCompra")
			Console.p("Num ARt: "+this.numArticuloS)
			Console.p ("listaAux= "+listaAux)
			this.nuevoArt = new NuevoArticulo(this.numArticuloS, this.listaArticulos, this.raiz)
			this.nuevoArt.cargarDatos(listaAux);
			this.nuevoArt.salvarLista(listaAux);
		}
	}
	

	
}		









